RelayAPI

Get full conversation thread with messages

GET
/v1/inbox/conversations/{id}
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Path Parameters

id*string

Conversation ID

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/inbox/conversations/string"
{  "conversation": {    "account_id": "string",    "assigned_user_id": "string",    "created_at": "string",    "id": "string",    "labels": [      "string"    ],    "last_message_at": "string",    "last_message_direction": "inbound",    "last_message_text": "string",    "message_count": 0,    "participant_avatar": "string",    "participant_metadata": null,    "participant_name": "string",    "platform": "twitter",    "priority": "string",    "status": "open",    "type": "comment_thread",    "unread_count": 0,    "updated_at": "string"  },  "messages": [    {      "attachments": null,      "author_avatar_url": "string",      "author_name": "string",      "author_platform_id": "string",      "classification": "string",      "conversation_id": "string",      "created_at": "string",      "direction": "inbound",      "edit_revision": 0,      "edited_at": "2019-08-24T14:15:22Z",      "id": "string",      "is_hidden": true,      "is_liked": true,      "platform_data": {        "message_type": "story_mention",        "story_id": "string",        "story_url": "string",        "whatsapp_flow": {          "has_response": true,          "name": "string"        },        "whatsapp_group_id": "string",        "property1": null,        "property2": null      },      "platform_message_id": "string",      "provider_read_at": "2019-08-24T14:15:22Z",      "sentiment_score": 0,      "text": "string"    }  ]}

Found something wrong? Help us improve this page.